当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 源码编译openq0.32和fvwm2.5.17都出错
帖子发表于 : 2006-07-27 5:25 

注册: 2006-07-27 2:28
帖子: 54
送出感谢: 1
接收感谢: 1
选是编译openq0.32
./configure命令没反应
所以就装了gcc和make
再./configure再报错
然后那个libc-ex*****
这下./configure不报错了
make时提示找不到gaim.pc
在系统中实在找不到这个文件就放弃了
在网上找了个deb包,了事

刚才转转转转到fvwm的老巣去了
发现unstable版是2.5.17
想看看有啥新功能了
下载解压
再./configure
提示
代码:
./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable command logging... no
checking whether to enable debugging messages... no
checking for style of include used by make... GNU
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for X... no

X11 libraries or header files could not be found.  Please make
sure the X11 development package is installed on your system.
If it is definitely installed, try setting the include and library
paths with the --x-include and --x-libraries options of configure.
Fvwm can not be compiled without the X11 development environment.

Aborting.

再次晕了,看来ubuntu真的是桌面型的,对于开发工具得自己一个一个装去。
接下来我要装哪些包,知道的请指点指点,就此谢过。


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-07-27 8:19 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
这是因为你缺少一些开发库.

有两个方法,一个是 sudo apt-get build-dep openq 这样来下载安装相应的开发库.

一个是用 sudo auto-apt run ./configure ,在执行./configure的时候会自动下载缺少的库.


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-07-27 11:10 

注册: 2006-05-10 9:46
帖子: 99
送出感谢: 0 次
接收感谢: 0 次
ubuntu发行的时候是一个盘,网络升级的时候也装了一个最小集合

所以很多开发工具都没的


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-07-27 11:17 

注册: 2006-07-27 2:28
帖子: 54
送出感谢: 1
接收感谢: 1
谢谢楼上两位,我记下了。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-07-27 20:41 
头像

注册: 2006-05-19 9:54
帖子: 1822
地址: Shanghai
送出感谢: 2
接收感谢: 11
都是很清楚的错误啊,编译openq需要gaim的环境,如果你的gaim是自己编译的话,那就很方便了
后面那个是因为没有x的header,装了就好了


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-07-28 0:47 

注册: 2006-07-27 2:28
帖子: 54
送出感谢: 1
接收感谢: 1
Strange 写道:
都是很清楚的错误啊,编译openq需要gaim的环境,如果你的gaim是自己编译的话,那就很方便了
后面那个是因为没有x的header,装了就好了


呵,提示上是说明白了,可是我不知道要装什么,像X的header我就不知道装哪个包了,所以才有些一问的
不过上面的两个问题都解决了,但fvwm还是装不了,这回涉及到好多的参数,不知道要怎么选了,在ubuntu的官方论坛里问了问,可没人回复


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-07-28 1:40 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
头文件
linux-headers-`uname -r`


_________________
● 鸣学


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译